Page MenuHomePhabricator

Remember previous choice of visual/wikitext diff for next edit
Closed, ResolvedPublic1 Story Points

Description

User story: As an editor, I want my choice of visual or wikitext diff to be automatically remembered, so that next time I make an edit I get the diff type I prefer.

By doing this automatically, we can avoid adding yet another tick box in user preferences, but also show users the kind of diff they prefer.

There should be a separate storage of this preference for the visual editor and 2017 wikitext editor.

Event Timeline

Deskana created this task.Oct 20 2017, 2:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2017, 2:38 PM
Deskana set the point value for this task to 1.Oct 27 2017, 3:06 PM

we can avoid adding yet another user preference

Of course if we persist it in the database it is a user preference :)

Also we need two preferences: one for VE and one for NWE.

we can avoid adding yet another user preference

Of course if we persist it in the database it is a user preference :)

Sorry for my imprecise wording. I meant "another tick box in the preferences page". :-)

Deskana updated the task description. (Show Details)Nov 7 2017, 1:18 PM

Change 404659 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Remember preferred diff viewer

https://gerrit.wikimedia.org/r/404659

Change 404659 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remember preferred diff viewer

https://gerrit.wikimedia.org/r/404659

Deskana assigned this task to Esanders.Jan 18 2018, 5:09 PM
Deskana closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 18 2018, 5:09 PM
Ryasmeen edited projects, added Verified; removed Patch-For-Review.Jan 22 2018, 7:02 PM